Bug 9574 - A null pointer dereference in the spoolss server crashes smbd serving the connection
A null pointer dereference in the spoolss server crashes smbd serving the con...
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: Printing
3.6.10
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-18 17:07 UTC by Andreas Schneider
Modified: 2013-01-23 08:05 UTC (History)
1 user (show)

See Also:


Attachments
v3-6-test patch (2.53 KB, patch)
2013-01-21 13:44 UTC, Andreas Schneider
ddiss: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2013-01-18 17:07:23 UTC
A null pointer dereference in the spoolss server can crash the process serving the connection if the client doesn't specify a servername.
Comment 1 Andreas Schneider 2013-01-21 13:44:50 UTC
Created attachment 8455 [details]
v3-6-test patch

The patch also applies cleanly to v4-0-test.
Comment 2 Andreas Schneider 2013-01-22 10:40:26 UTC
Karolin, please add the patch to 3.6 and 4.0. Thanks!
Comment 3 Karolin Seeger 2013-01-22 11:00:55 UTC
Pushed to v3-6-test and autobuild-v4-0-test.
Comment 4 Karolin Seeger 2013-01-23 08:05:25 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!